[arch-commits] Commit in librsvg/repos/extra-x86_64 (4 files)

Jan Steffens heftig at archlinux.org
Thu Jun 4 22:11:39 UTC 2020


    Date: Thursday, June 4, 2020 @ 22:11:38
  Author: heftig
Revision: 388313

archrelease: copy trunk to extra-x86_64

Added:
  librsvg/repos/extra-x86_64/PKGBUILD
    (from rev 388312, librsvg/trunk/PKGBUILD)
  librsvg/repos/extra-x86_64/lto.diff
    (from rev 388312, librsvg/trunk/lto.diff)
Deleted:
  librsvg/repos/extra-x86_64/PKGBUILD
  librsvg/repos/extra-x86_64/lto.diff

----------+
 PKGBUILD |  112 ++++++++++++++++++++++++++++++-------------------------------
 lto.diff |   20 +++++-----
 2 files changed, 66 insertions(+), 66 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-06-04 22:08:43 UTC (rev 388312)
+++ PKGBUILD	2020-06-04 22:11:38 UTC (rev 388313)
@@ -1,56 +0,0 @@
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgname=librsvg
-pkgver=2.48.6
-pkgrel=1
-epoch=2
-pkgdesc="SVG rendering library"
-url="https://wiki.gnome.org/Projects/LibRsvg"
-arch=(x86_64)
-license=(LGPL)
-depends=(gdk-pixbuf2 pango)
-makedepends=(gobject-introspection vala gtk-doc git rust)
-checkdepends=(ttf-dejavu)
-provides=(librsvg-${pkgver%%.*}.so)
-_commit=2bd9b6bb5dc43725fcc471ee25b79f42bb4f2211  # tags/2.48.6^0
-source=("git+https://gitlab.gnome.org/GNOME/librsvg.git#commit=$_commit"
-        lto.diff)
-sha256sums=('SKIP'
-            '3cc8ad1af515b2cb4071f0647319c1cf3280dc054875634239061800af1616b6')
-
-pkgver() {
-  cd librsvg
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd librsvg
-
-  # Turn LTO back on
-  git apply -3 ../lto.diff
-
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
-  cd librsvg
-  ./configure --prefix=/usr --disable-static --enable-vala \
-    --enable-gtk-doc
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
-  make
-}
-
-check() {
-  cd librsvg
-  # Reftests are probably broken
-  # some reference images were created without the requested fonts
-  make check || :
-}
-
-package() {
-  cd librsvg
-  make DESTDIR="$pkgdir" install
-}
-
-# vim: ts=2 sw=2 et:

Copied: librsvg/repos/extra-x86_64/PKGBUILD (from rev 388312, librsvg/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-06-04 22:11:38 UTC (rev 388313)
@@ -0,0 +1,56 @@
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=librsvg
+pkgver=2.48.7
+pkgrel=1
+epoch=2
+pkgdesc="SVG rendering library"
+url="https://wiki.gnome.org/Projects/LibRsvg"
+arch=(x86_64)
+license=(LGPL)
+depends=(gdk-pixbuf2 pango)
+makedepends=(gobject-introspection vala gtk-doc git rust)
+checkdepends=(ttf-dejavu)
+provides=(librsvg-${pkgver%%.*}.so)
+_commit=cdac0c94be16df419dc883e9a3bb2f72345dc60c  # tags/2.48.7^0
+source=("git+https://gitlab.gnome.org/GNOME/librsvg.git#commit=$_commit"
+        lto.diff)
+sha256sums=('SKIP'
+            '3cc8ad1af515b2cb4071f0647319c1cf3280dc054875634239061800af1616b6')
+
+pkgver() {
+  cd librsvg
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd librsvg
+
+  # Turn LTO back on
+  git apply -3 ../lto.diff
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  cd librsvg
+  ./configure --prefix=/usr --disable-static --enable-vala \
+    --enable-gtk-doc
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
+  make
+}
+
+check() {
+  cd librsvg
+  # Reftests are probably broken
+  # some reference images were created without the requested fonts
+  make check || :
+}
+
+package() {
+  cd librsvg
+  make DESTDIR="$pkgdir" install
+}
+
+# vim: ts=2 sw=2 et:

Deleted: lto.diff
===================================================================
--- lto.diff	2020-06-04 22:08:43 UTC (rev 388312)
+++ lto.diff	2020-06-04 22:11:38 UTC (rev 388313)
@@ -1,10 +0,0 @@
-diff --git i/Cargo.toml w/Cargo.toml
-index 818fa620..c776b113 100644
---- i/Cargo.toml
-+++ w/Cargo.toml
-@@ -8,3 +8,5 @@ members = [
- 
- [profile.release]
- debug = true
-+lto = "fat"
-+codegen-units = 1

Copied: librsvg/repos/extra-x86_64/lto.diff (from rev 388312, librsvg/trunk/lto.diff)
===================================================================
--- lto.diff	                        (rev 0)
+++ lto.diff	2020-06-04 22:11:38 UTC (rev 388313)
@@ -0,0 +1,10 @@
+diff --git i/Cargo.toml w/Cargo.toml
+index 818fa620..c776b113 100644
+--- i/Cargo.toml
++++ w/Cargo.toml
+@@ -8,3 +8,5 @@ members = [
+ 
+ [profile.release]
+ debug = true
++lto = "fat"
++codegen-units = 1


More information about the arch-commits mailing list